# Class SpotPlotter.SpotLayerType

java.lang.Object
uk.ac.starlink.ttools.plot2.task.SimpleLayerType
uk.ac.starlink.ttools.plot2.layer.SpotPlotter.SpotLayerType

All Implemented Interfaces:
  `LayerType`

Enclosing class:
  `SpotPlotter`

public static class SpotPlotter.SpotLayerType extends SimpleLayerType
LayerType corresponding to SpotPlotter.

Since:
  17 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SpotLayerType()`

## Method Summary

### Methods inherited from class SimpleLayerType

`getAssociatedParameters, getCoordGroup, getExtraCoords, getName, getPlotter, getPlotter, getStyleKeys, getXmlDescription`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpotLayerType

public SpotLayerType()